---
updatedAt: 2025-06-10T02:09:20.000Z
agentTools:
  projectIndex: https://mealmeapi.readme.io/llms.txt
---

# Create Order

# OpenAPI definition

````json
{
  "openapi": "3.0.0",
  "paths": {
    "/order/order/v4": {
      "post": {
        "responses": {
          "200": {
            "description": "Success: Order Placed",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Order_Placed_Output"
                }
              }
            }
          },
          "202": {
            "description": "Order Ready To Be Placed",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Order_Output"
                }
              }
            }
          },
          "400": {
            "description": "Input Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error_-_Input_Validation"
                }
              }
            }
          },
          "401": {
            "description": "Missing Authorization",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error_-_Unauthorized"
                }
              }
            }
          },
          "406": {
            "description": "Quote Unavailable",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Quote_Unavailable"
                }
              }
            }
          },
          "420": {
            "description": "Product Unavailable",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Product_Unavailable_error"
                }
              }
            }
          },
          "422": {
            "description": "Checkout Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Checkout_error"
                }
              }
            }
          },
          "504": {
            "description": "Gateway Timeout",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Gateway_Timeout"
                }
              }
            }
          }
        },
        "summary": "Create Order",
        "operationId": "post_order_v4",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Order_Input"
              }
            }
          },
          "required": true
        },
        "security": [
          {
            "apikey": []
          }
        ],
        "tags": [
          "Order"
        ]
      }
    }
  },
  "info": {
    "title": "The MealMe API",
    "version": "1.0",
    "description": "# Self-Serve API for out-of-the-box checkout from millions of stores for delivery & pickup.\n## About MealMe\n- Download the MealMe app as a live demonstration of what The Food API can power: https://apps.apple.com/us/app/mealme/id1460140965\n- MealMe was started in 2018. The Food API has powered the MealMe app in 2021 to earn millions in sales, ranking as one of the Top 50 Food & Drink apps for the entire year and getting featured as App of The Day.\n## API Features\n### Search the largest selection of restaurants & grocery stores\n- Our search engine includes the majority of grocery stores & restaurants & convenience stores in the US\n- MealMe's Checkout API aggregates the realtime updates of individual webpages for the most up-to-date information, unlike crowdsourced data APIs like Yelp.\n### Browse real-time restaurant menus & grocery inventory\n- Every menu item & grocery product returned includes real-time ordering availability, prices, and even item customizations and modifiers.\n- This means we have a more detailed, more accurate, and more actionable selection of restaurant menus, grocery inventory, and food products than any other food API in the US.\n\n### Get the cheapest & fastest delivery quotes\n- Our delivery selection in the USA includes dozens of third-party delivery services and courier services as well as over 100,000 stores with their own drivers.\n- This means we have cheaper and faster delivery quotes than any other food API in the US.\n### Order anything\n- Right out of the box, our API allows sending an order to 1M+ stores and 100M+ products for pickup or delivery.\n- This means that we have a larger ordering selection than any other API in the US. \n## API Endpoints\n* **`/restaurants`**: The Restaurant API \n     * **`/search`**: The Restaurant Search API \n         * **`/cart`**: The Restaurant Cart Search API \n         * **`/item`**: The Restaurant Menu Item Search API \n         * **`/store`**: The Restaurant Store Search API \n     * **`/details`**: The Restaurant Details API \n         * **`/item`**: The Restaurant Menu Item API \n         * **`/menu`**: The Restaurant Menu API \n         * **`/quotes`**: The Restaurant Delivery & Pickup API \n* **`/groceries`**: The Grocery API \n     * **`/search`**: The Grocery Search API \n         * **`/cart/v2`**: The Grocery Cart Search API \n         * **`/product/v2`**: The Grocery Product Search API \n         * **`/store`**: The Grocery Store Search API \n     * **`/details`**: The Grocery Details API \n         * **`/product`**: The Grocery Product API \n         * **`/products`**: The Grocery Store Inventory API \n         * **`/quotes`**: The Grocery Delivery & Pickup API \n* **`/order`**: The Food Ordering API \n     * **`/add_payment_method`**: The Add Payment Method API \n     * **`/finalize`**: The Delivery and Pickup Ordering API \n     * **`/order`**: The Delivery and Pickup Ordering API \n* **`/courier`**: The Courier Ordering API \n     * **`/cancel`**: The Courier Order Cancel API \n     * **`/order`**: The Last-Mile Ordering API \n     * **`/quote`**: The Courier Quote API \n* **`/account`**: The Client Account Stats API \n     * **`/billing`**: The Client Account Billing API \n         * **`/fees`**: The Client Account Endpoint Fees API \n         * **`/orders`**: The Client Account Completed Orders API \n     * **`/orders`**: The Client Account Orders Listing API \n     * **`/requests`**: The Client Account Endpoint Requests Listing API \n* **`/customer`**: The Customer Service API \n     * **`/service`**: The Customer Service API \n         * **`/exit_chat`**: The Customer Service Chat Exit API \n         * **`/fetch_chat_ids`**: The Customer Service Chat Fetching API \n         * **`/initiate_chat`**: The Customer Service Initiating Chat API \n         * **`/read_messages`**: The Customer Service Read Chat API \n         * **`/send_message`**: The Customer Service Messaging API \n* **`/location`**: The Location Geocoding API \n     * **`/geocode`**: The Address to Coordinates API \n     * **`/reverse_geocode`**: The Coordinates to Address API \n* **`/places`**: The Places API \n     * **`/search`**: The Places Search API \n     * **`/inventory`**: The Places Inventory API \n     * **`/checkout`**: The Places Checkout API \n* **`/utilities`**: The Utilities API \n     * **`/add_store`**: The Adding Store By Google Place ID API \n     * **`/grocery_store_lookup`**: The Grocery Store Lookup API \n     * **`/restaurant_store_lookup`**: The Restaurant Lookup API \n\n## API Tutorial for Python\nWant a tutorial for another language? Reach out to api@mealme.ai!\n\n### 0. Get your API Key \n- **In this sandbox website**: enter your API Key into the green \"Authorize\" lock button on the right \n- **In your code**: pass the API Key into the `id_token` HTTP Header \n\n### 1. Navigate this sandbox\n1. First, choose to focus on the **Groceries API** or **Restaurants API** (`/groceries` or `/restaurants`) \n2. Try out the **Store Search API** (`/search/store`)\n   - At this point, test that your API Key works!\n   - To get started, try the example San Francisco search query by hitting the \"Try it out\" button then the blue \"Execute\" button.\n3. Take a `quote_id` from a store and pass it into the **Quote API** (`/details/quotes`) or **Menu API** (`/details/menu` or `/details/inventory`) \n\n### 2. Integrate the API with one line of code\nOpen terminal and type these commands to set up your environment. Ensure you already have python3 installed.\n```\npip3 install requests\npython3\nimport requests \n```\nYour terminal is now showing a shell to execute python3 commands. Execute the API request command:\n```\nprint(requests.get(f\"https://mealme-4.mealme.ai/restaurants/search/store?query=pizza&latitude=37.7786357&longitude=-122.3918135\", headers={\"Id-Token\": \"API:KEY\"}).json()) \n```\nBe sure you replaced \"API:KEY\" with your actual API Key! You'll see a JSON of pizza stores nearby.\n\n### 3. Run Sample Project\nThe sample code prints out the first available menu at a pizza store nearby. Download the sample project here: https://drive.google.com/file/d/1pk_fIEYr4Qf0coAphm4UZ975dQVYtTKM/view?usp=sharing \n\n## FAQ \n- Why aren't response times always fast?\n    - The sandbox website is slow to load massive JSON responses, especially for the Search API, so use Postman instead for API requests to speed it up by several seconds. In fact, really big responses get the error \"RangeError: Maximum call stack size exceeded.\"\n    - The sandbox server is much, much less performance-optimized than the production servers.\n- Should I request the `/details/item` or `/details/product` API if customizations were returned from the `/details/menu` or `/details/products` API?\n    - No. Do not call the item or product details endpoint if menu or inventory API returns `should_fetch_customizations: false` in its response.\n        - If the menu or products API returns `should_fetch_customizations: false`, then the product customizations are returned in the menu response.\n    - Even if the \"customizations\" key is empty, that's fine. That means there's no customizations for that item.\n- Why does the blue \"Execute\" button sometimes do nothing when I click it?\n    - This means your input data is invalid, such as an invalid JSON for a POST request.\n\n## API Status Codes \nWe get alerted of anything that's not a 200. If it's urgent, do not hesitate to email api@mealme.ai - we will get back to you ASAP! These are the general guidelines for the API status codes. See individual routes for specific status codes. \n\n`200 OK` - Response to a successful request.\n\n`400 Bad Request` - Malformed request; request body validation errors.\n\n`401 Unauthorized` - When no or invalid authentication details are provided.\n\n`403 Forbidden` - When authentication succeeded but authenticated user doesn't have access to the resource.\n\n`404 Not Found` - When a non-existent endpoint is requested.\n\n`406 Unavailable` -  When a delivery or pickup service or store is unavailable right now.\n\n`422 Unprocessable Entity` - The request was well-formed but was unable to be not acceptable.\n\n`500 Server Error` - The server encountered an unexpected condition which prevented it from completing the request.\n\n`501 Not Implemented` - The HTTP method is not supported by the server and cannot be handled.\n\n`502 Bad Gateway` - The server got an invalid response while working as a gateway to get a response needed to handle the request.\n\n`503 Service Unavailable` - The server is not ready to handle the request.\n\n`504 Gateway Timeout` - The server is acting as a gateway and cannot get a response in time for a request.\n\n"
  },
  "tags": [
    {
      "name": "Order",
      "description": "Universal Food Ordering API"
    }
  ],
  "servers": [
    {
      "url": "https://api.mealme.ai"
    }
  ],
  "components": {
    "securitySchemes": {
      "apikey": {
        "type": "apiKey",
        "in": "header",
        "name": "Id-Token"
      }
    },
    "schemas": {
      "Notifications": {
        "properties": {
          "order_placed": {
            "type": "string",
            "description": "The SMS message to send to `user_phone` upon an order being successfully placed.",
            "example": "Your order is confirmed, here is your tracking link https://tracking.example.com/tracking?tracking_id=<>"
          },
          "store_confirmed": {
            "type": "string",
            "description": "The SMS message to send to `user_phone` upon the store confirming the order.",
            "example": "McDonald's has confirmed your order."
          },
          "pickup_ready": {
            "type": "string",
            "description": "The SMS message to send to `user_phone` when the store confirms the pickup order is ready.",
            "example": "Your order is ready for pickup."
          },
          "driver_arriving": {
            "type": "string",
            "description": "The SMS message to send to `user_phone` when the driver is arriving to the delivery address.",
            "example": "You delivery driver is on the way."
          }
        },
        "type": "object"
      },
      "Metadata": {
        "properties": {
          "*": {
            "type": "string",
            "description": "Any metadata value",
            "example": "ABC123"
          }
        },
        "type": "object"
      },
      "Error_-_Unauthorized": {
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "string",
            "description": "The reason authentication failed.",
            "example": "Incorrect API key"
          }
        },
        "type": "object"
      },
      "Error_-_Input_Validation": {
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "string",
            "description": "The description of the incorrect input value.",
            "example": "Missing/Invalid required input parameter: <parameter>"
          }
        },
        "type": "object"
      },
      "Scheduled_Time": {
        "required": [
          "delivery_fee",
          "maximum",
          "minimum"
        ],
        "properties": {
          "minimum": {
            "type": "integer",
            "description": "Timestamp (seconds since 1970)"
          },
          "maximum": {
            "type": "integer",
            "description": "Timestamp (seconds since 1970)"
          },
          "delivery_fee": {
            "$ref": "#/components/schemas/Delivery_Fee_Estimate",
            "description": ""
          }
        },
        "type": "object"
      },
      "Delivery_Fee_Estimate": {
        "required": [
          "delivery_fee_flat",
          "delivery_fee_percent"
        ],
        "properties": {
          "delivery_fee_flat": {
            "type": "integer",
            "description": "Delivery fee amount in cents"
          },
          "delivery_fee_percent": {
            "type": "number",
            "description": "Delivery fee percentage"
          },
          "delivery_fee_taxable": {
            "type": "boolean",
            "description": "Whether the delivery fee is taxable or not"
          },
          "threshold_fees": {
            "type": "array",
            "description": "Threshold Fees, if they exist",
            "items": {
              "$ref": "#/components/schemas/Threshold_Fee"
            }
          }
        },
        "type": "object"
      },
      "Threshold_Fee": {
        "required": [
          "threshold_cents",
          "threshold_fee_cents"
        ],
        "properties": {
          "threshold_cents": {
            "type": "integer",
            "description": "Subtotal that enacts a specific fee"
          },
          "threshold_fee_cents": {
            "type": "integer",
            "description": "Flat delivery fee that will be charged for this threshold_cents"
          }
        },
        "type": "object"
      },
      "Order_Input": {
        "required": [
          "items",
          "pickup",
          "place_order",
          "user_email",
          "user_id",
          "user_name",
          "user_phone"
        ],
        "properties": {
          "place_order": {
            "type": "boolean",
            "description": "Whether to actually place the order or just get the final quote",
            "default": false,
            "example": false
          },
          "order_id": {
            "type": "string",
            "description": "The ID of an existing order to update.",
            "example": "-O14zT3XJbLfybkJa6cG"
          },
          "items": {
            "type": "array",
            "description": "The list of items to include in the order. All items must come from the same menu.",
            "default": [
              {
                "product_id": "gAAAAABjG7vcneDPtykGbsBcLjJUqW8qqJFctTqQDovWuSkEd9VlTM0dNVVKPLcDAMHXhna_dsa-RJOrXBO82jvvMCDXHYCz3Qwv9qEznaqGB2OXKA-k9cWAQFv1S7epy-C5yCDj7MLlDLl1psRTBRtUcv2PUnaYMMnMvonWGbzQbkGr0_0yjtFNS38EosYy-0-l3_0wLfSzQjSPVQ2Go9FUL4Dw_lvLYMkPHnGnewXnh0HtztKYrMn4lZQppC505ReRYfWxMQkMnqq10EbYMYRGDlEkYCNQX8TFtrNeq3ikYpmctjinfqdhs1-AjapHL6wpkyoRoY6rnKE7dBQjIkn_nIQ1aXmznzKpR5P0Xr9xvp5w2IkCWK8_MhHEenGct1y7n3yGteXzQM4o5Md1yynTwRal7Bq4QoVt-EzyLoW-ZtX8-snYWnDpNLduZLW7j3XCo8EIEBlKUSWkvNl0gbQgyosKgZB573GNQ-rEu3RYvJ_S_Ri62ywBYf_zTexUJtERtIpd6lawr6sty3Wpyq1zhve2zuhsRJ8wj_uorThApJreOXRiOpzyFXTZWxjXz3EklKoqPjUCVllMjVkVQUYkUghVvfr9dO7GWhkqGsRkRHjGxX7coYlI3GaVEQdaIcVrAo2zJBOJt42j5xwgOz0Gw2oupiwQwYtWpUVnYX0JHssDlbmbDON8ddU7YJdGxhC3TOFAGXLIzCPbRifamoEu2np7wbNQ8pDB5tX07lwVQIbrVs0thXYpdGxKk1eKx_c1aKQcf-srjZKHVUvO_4zSRC2FqIpdaYPU0pDDlIovXu6NgoB7CL0=",
                "notes": "No whipped cream."
              }
            ],
            "example": [
              {
                "product_id": "gAAAAABjG7vcneDPtykGbsBcLjJUqW8qqJFctTqQDovWuSkEd9VlTM0dNVVKPLcDAMHXhna_dsa-RJOrXBO82jvvMCDXHYCz3Qwv9qEznaqGB2OXKA-k9cWAQFv1S7epy-C5yCDj7MLlDLl1psRTBRtUcv2PUnaYMMnMvonWGbzQbkGr0_0yjtFNS38EosYy-0-l3_0wLfSzQjSPVQ2Go9FUL4Dw_lvLYMkPHnGnewXnh0HtztKYrMn4lZQppC505ReRYfWxMQkMnqq10EbYMYRGDlEkYCNQX8TFtrNeq3ikYpmctjinfqdhs1-AjapHL6wpkyoRoY6rnKE7dBQjIkn_nIQ1aXmznzKpR5P0Xr9xvp5w2IkCWK8_MhHEenGct1y7n3yGteXzQM4o5Md1yynTwRal7Bq4QoVt-EzyLoW-ZtX8-snYWnDpNLduZLW7j3XCo8EIEBlKUSWkvNl0gbQgyosKgZB573GNQ-rEu3RYvJ_S_Ri62ywBYf_zTexUJtERtIpd6lawr6sty3Wpyq1zhve2zuhsRJ8wj_uorThApJreOXRiOpzyFXTZWxjXz3EklKoqPjUCVllMjVkVQUYkUghVvfr9dO7GWhkqGsRkRHjGxX7coYlI3GaVEQdaIcVrAo2zJBOJt42j5xwgOz0Gw2oupiwQwYtWpUVnYX0JHssDlbmbDON8ddU7YJdGxhC3TOFAGXLIzCPbRifamoEu2np7wbNQ8pDB5tX07lwVQIbrVs0thXYpdGxKk1eKx_c1aKQcf-srjZKHVUvO_4zSRC2FqIpdaYPU0pDDlIovXu6NgoB7CL0=",
                "notes": "No whipped cream."
              }
            ],
            "items": {
              "$ref": "#/components/schemas/Cart_Item"
            }
          },
          "pickup": {
            "type": "boolean",
            "description": "Whether to the order fulfillment type is pickup or delivery.",
            "default": false,
            "example": false
          },
          "scheduled_id": {
            "type": "string",
            "description": "The ID corresponding to the desired scheduled pickup/delivery window. If not provided, the ASAP window will be chosen by default. Scheduled IDs are provided by [Get Inventory](https://docs.mealme.ai/reference/get_inventory_details_v4) and [Get Product Details](https://docs.mealme.ai/reference/get_product_details_v2) when `include_quote` is `true`.",
            "example": ""
          },
          "driver_tip_cents": {
            "type": "integer",
            "description": "The tip for the driver, in cents. Note that this field can only be provided for delivery orders and when `quote.accepts_delivery_tip` is `true` from [Get Inventory](https://docs.mealme.ai/reference/get_inventory_details_v4) or [Get Product Details](https://docs.mealme.ai/reference/get_product_details_v2).",
            "default": 100,
            "example": 100
          },
          "pickup_tip_cents": {
            "type": "integer",
            "description": "The tip for the store, in cents. Note that this field can only be provided for pickup orders and when `quote.accepts_pickup_tip` is `true` from [Get Inventory](https://docs.mealme.ai/reference/get_inventory_details_v4) or [Get Product Details](https://docs.mealme.ai/reference/get_product_details_v2).",
            "default": 0,
            "example": 100
          },
          "user_latitude": {
            "type": "number",
            "description": "Latitude of the user. Required if `pickup` is `false`.",
            "default": 37.7786357,
            "example": 37.7786357
          },
          "user_longitude": {
            "type": "number",
            "description": "Longitude of the user. Required if `pickup` is `false`.",
            "default": -122.3918135,
            "example": -122.3918135
          },
          "user_street_num": {
            "type": "string",
            "description": "Street number of the user. Required if `pickup` is `false`.",
            "default": "188",
            "example": "188"
          },
          "user_street_name": {
            "type": "string",
            "description": "Street name of the user. Required if `pickup` is `false`.",
            "default": "King Street",
            "example": "King Street"
          },
          "user_apt_num": {
            "type": "string",
            "description": "Apartment number of the user.",
            "example": "108"
          },
          "user_city": {
            "type": "string",
            "description": "City of the user. Required if `pickup` is `false`.",
            "default": "San Francisco",
            "example": "San Francisco"
          },
          "user_state": {
            "type": "string",
            "description": "State of the user. Required if `pickup` is `false`.",
            "default": "CA",
            "example": "CA"
          },
          "user_country": {
            "type": "string",
            "description": "Country of the user. Can either be `US` or `CA`. Required if `pickup` is `false`.",
            "default": "US",
            "example": "US",
            "enum": [
              "US",
              "CA"
            ]
          },
          "user_zipcode": {
            "type": "string",
            "description": "Zipcode of the user. Required if `pickup` is `false`.",
            "default": "94107",
            "example": "94107"
          },
          "user_dropoff_notes": {
            "type": "string",
            "description": "Dropoff delivery notes for the user. Required if `pickup` is `false`.",
            "default": "Leave in lobby",
            "example": "Leave in lobby"
          },
          "user_pickup_notes": {
            "type": "string",
            "description": "User pickup notes for the store. Note that this field can only be provided when `quote.accepts_pickup_note` is `true` from [Get Inventory](https://docs.mealme.ai/reference/get_inventory_details_v4).",
            "example": "This pickup order is for Steve"
          },
          "user_name": {
            "type": "string",
            "description": "User's name. This is required so that the store and/or driver know who to give the products to at dropoff. The `user_name` must consist of a first and last name that are both at least 2 alphabetic characters each, separated by one space. Optionally, the first and last name can be prefixed with any combination of alphabetic characters and spaces, followed by a leading space (i.e. 'Company ABC John Doe').",
            "default": "Steve Jobs",
            "example": "Steve Jobs"
          },
          "user_email": {
            "type": "string",
            "description": "User's email. Order confirmation, updates, and tracking link will be sent to the email provided here. `user_email` must be a valid email address (e.g., 'user@example.com')",
            "default": "steve@apple.com",
            "example": "steve@apple.com"
          },
          "user_phone": {
            "type": "integer",
            "description": "User's phone number. This is required so that the store and/or driver know who to call for handling product replacements, drop-off, etc. Must include country code.",
            "default": 14044442058,
            "example": 14044442058
          },
          "user_id": {
            "type": "string",
            "description": "Unique User ID. This is a self-provided unique identifier for a user, which can later be supplied to [Get Orders](https://docs.mealme.ai/reference/get_account_orders) to fetch a user's order(s). The `user_id` must only consist of alphanumeric characters.",
            "default": "7B36A9CF",
            "example": "7B36A9CF"
          },
          "payment_method_id": {
            "type": "string",
            "description": "User's payment method ID. The ID is provided by [](https://docs.mealme.ai/reference/post_payment_create), and the corresponding payment method will be charged if `charge_user` is `true`.",
            "default": "",
            "example": "pm_1MZBBkEFrDExIlIksM7oTHEI"
          },
          "charge_user": {
            "type": "boolean",
            "description": "If `true`, the payment method corresponding to the supplied `payment_method_id` will be charged an amount equal to the `total_with_tip` specified in the response. This amount will also include any additional fees supplied via the `misc_fees` or `added_fees` input parameters. Any price markup(s), whether automatically applied or supplied via the `product_marked_price` and `marked_price` input parameters, will also be included in the total amount charged.",
            "default": true,
            "example": true
          },
          "include_final_quote": {
            "type": "boolean",
            "description": "Whether to return the final quote.",
            "default": true,
            "example": true
          },
          "disable_sms": {
            "type": "boolean",
            "description": "Whether to send the user order status updates via SMS. It's highly recommended to enable SMS, so that the user can receive order updates from the store and/or driver.",
            "default": false,
            "example": false
          },
          "email_receipt_specifications": {
            "description": "Set of optional configurations used to modify email reciept",
            "allOf": [
              {
                "$ref": "#/components/schemas/Email_Receipt_Specifications"
              }
            ]
          },
          "sms_options": {
            "description": "Set of optional SMS-specific configurations.",
            "allOf": [
              {
                "$ref": "#/components/schemas/SMS_Options"
              }
            ]
          },
          "favorited": {
            "type": "boolean",
            "description": "Whether to add this order as a favorited order",
            "default": false,
            "example": false
          },
          "customer_order_id": {
            "type": "string",
            "description": "A unique ID of the order generated in your system. This will be returned in the response from [Get Orders](https://docs.mealme.ai/reference/get_account_orders) when looking up an order.",
            "example": "ABC123"
          },
          "autofill_selected_options": {
            "type": "boolean",
            "description": "Whether to automatically select the default quantity for all options and fulfill all customization requirements.",
            "default": false,
            "example": false
          },
          "metadata": {
            "description": "A set of key-value pairs that you can attach to an order, and later reference with [Get Orders](https://docs.mealme.ai/reference/get_account_orders).",
            "example": {
              "Promo Code": "ABC123"
            },
            "allOf": [
              {
                "$ref": "#/components/schemas/Metadata"
              }
            ]
          },
          "tracking_link": {
            "type": "string",
            "description": "The tracking link to communicate with the customer via SMS/email. If provided, the MealMe tracking link will be replaced with this one. If the tracking link is to be composed of the MealMe order ID, use `<>` as the placedholder. For example, if the tracking link `https://tracking.example.com/tracking?tracking_id=<>` is provided, and the `order_id` in the response is `-Mxak0IAuif3TvN9hBP7`, then the final tracking link will be `https://tracking.example.com/tracking?tracking_id=-Mxak0IAuif3TvN9hBP7`",
            "example": "https://tracking.example.com/tracking?tracking_id=<>"
          },
          "dropoff_window": {
            "description": "The desired delivery drop-off window. Only applies to `delivery` orders. If `scheduled_id` is provided, `dropoff_window` will be ignored.",
            "allOf": [
              {
                "$ref": "#/components/schemas/Drop-off_Window"
              }
            ]
          }
        },
        "type": "object"
      },
      "Cart_Item": {
        "required": [
          "product_id"
        ],
        "properties": {
          "product_id": {
            "type": "string",
            "description": "The product's ID."
          },
          "quantity": {
            "type": "integer",
            "description": "The selected quantity (must be greater than 0). If not provided, a quantity of 1 is selected."
          },
          "product_marked_price": {
            "type": "integer",
            "description": "The self-provided marked price (in cents) to be used in the email receipt."
          },
          "selected_options": {
            "type": "array",
            "description": "The list of selected options for the product.",
            "items": {
              "$ref": "#/components/schemas/Selected_Option"
            }
          },
          "notes": {
            "type": "string",
            "description": "The product notes for the store."
          }
        },
        "type": "object"
      },
      "Selected_Option": {
        "required": [
          "option_id",
          "quantity"
        ],
        "properties": {
          "option_id": {
            "type": "string",
            "description": "Option ID"
          },
          "quantity": {
            "type": "integer",
            "description": "The option quantity (must be greater than 0)"
          },
          "marked_price": {
            "type": "integer",
            "description": "The self-provided option marked price (in cents). This will only affect prices shown in the reciept email sent to the customer."
          }
        },
        "type": "object"
      },
      "Email_Receipt_Specifications": {
        "properties": {
          "prices_marked": {
            "type": "boolean",
            "description": "If `true`, the price(s) in the email receipt will reflect the amount(s) specified via the `product_marked_price` and `marked_price` input parameters. If `charge_user` is `true`, the total charged will also reflect these amount(s).",
            "default": false,
            "example": false
          },
          "added_fee": {
            "description": "Your added service fee. Any added fees will be reflected in the email receipt and included in the total charged when `charger_user` is `true`.",
            "allOf": [
              {
                "$ref": "#/components/schemas/Added_Fee"
              }
            ]
          },
          "unify_service_fee": {
            "type": "boolean",
            "description": "Whether to combine the underlying service's service fee and your `added_fee` in one line item in the email receipt.",
            "default": false,
            "example": false
          },
          "misc_fees": {
            "type": "array",
            "description": "List of miscellaneous fees or discounts to display in the email receipt.",
            "example": [
              {
                "fee_name": "Chef tip",
                "fee_amount": 200
              }
            ],
            "items": {
              "$ref": "#/components/schemas/Miscellaneous_Fee"
            }
          },
          "disable_email": {
            "type": "boolean",
            "description": "Whether to send the user an email receipt.",
            "default": false,
            "example": false
          }
        },
        "type": "object"
      },
      "Added_Fee": {
        "properties": {
          "added_fee_flat": {
            "type": "integer",
            "description": "Flat fee added by API client, in cents.",
            "default": 0,
            "example": 100
          },
          "added_fee_percent": {
            "type": "integer",
            "description": "Percent fee added by API client, range [0-100].",
            "default": 0,
            "example": 50
          },
          "is_added_fee_taxable": {
            "type": "boolean",
            "description": "Whether API client added fee is taxable.",
            "example": false
          }
        },
        "type": "object"
      },
      "Miscellaneous_Fee": {
        "required": [
          "fee_amount",
          "fee_name"
        ],
        "properties": {
          "fee_name": {
            "type": "string",
            "description": "Name of the fee"
          },
          "fee_amount": {
            "type": "integer",
            "description": "The fee amount, in cents"
          },
          "fee_percent": {
            "type": "number",
            "description": "The fee percentage, range [0-100]. Applied to the base amount specified by `fee_base`.",
            "default": 0,
            "example": 10.5
          },
          "fee_base": {
            "type": "string",
            "description": "The base amount to apply `fee_percent` to. `subtotal` applies to order subtotal, `total` applies to order total.",
            "default": "subtotal",
            "example": "subtotal",
            "enum": [
              "subtotal",
              "total"
            ]
          }
        },
        "type": "object"
      },
      "SMS_Options": {
        "properties": {
          "notifications": {
            "description": "The set of optional custom SMS messages to send to `user_phone` for each event.",
            "allOf": [
              {
                "$ref": "#/components/schemas/Notifications"
              }
            ]
          }
        },
        "type": "object"
      },
      "Drop-off_Window": {
        "required": [
          "end_time",
          "start_time"
        ],
        "properties": {
          "start_time": {
            "type": "number",
            "description": "The start of the drop-off window, represented by a unix timestamp.",
            "example": 1688772600
          },
          "end_time": {
            "type": "number",
            "description": "The end of the drop-off window, represented by a unix timestamp. Note that `end_time` must be at least 20 minutes greater than `start_time`.",
            "example": 1688774400
          }
        },
        "type": "object"
      },
      "Gateway_Timeout": {
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "string",
            "description": "The gateway timeout error message.",
            "example": "Gateway Timeout"
          }
        },
        "type": "object"
      },
      "Checkout_error": {
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "string",
            "description": "The reason a checkout error was encountered.",
            "example": "Checkout Error: Does not meet order minimum requirement."
          },
          "invalid_option_ids": {
            "type": "array",
            "description": "The list of invalid option IDs.",
            "example": [
              "n2z3o2ndeC_xNeD918jRVrgI-Oq6vUhuLkgiTnoAIhxWmZhKsqPRqcmz1joT4IvIPh1HnMC01yM070ODKJrE62x95u1IfLF1-89nJiFWkjEqUA6Gq4VKN14-MhZBc_d0gKU5AkrJYGIIpCbfzbK0pOhj3NIEhQHRkQaQr7CtID0UyQp-AxZRCobu80WU3rDACmdCMWHL3K_2ChtpMWS8eoVh_1xvqwUEEDEMio_98vLwamPyehQUTmebfgwz3RtjetNZR2fXIx3OLEUWGXbyzIlY7NGI9D3qD52PyxOSmQYEGf3lsaoXa03CIx8H1f19NrPOuGh2pnbZS-83Mf6DWKmDDjVXvq7JCCamVO1GPYxEeh5Hz9AnZsDJaLXVGGplwMu6zYRhxBMMG8nSu-UFc7UOGrBTBJlVJyC6Q3s-MlW3R8KaUA=="
            ],
            "items": {
              "type": "string",
              "description": "The option ID."
            }
          }
        },
        "type": "object"
      },
      "Product_Unavailable_error": {
        "required": [
          "error",
          "invalid_product_ids"
        ],
        "properties": {
          "error": {
            "type": "string",
            "description": "The product unavailable error description.",
            "example": "Checkout Error: Invalid Products. Either product_id is invalid or product is no longer available."
          },
          "invalid_product_ids": {
            "type": "array",
            "description": "The list of invalid product IDs.",
            "example": [
              "ngxZD7tEA1cQGCuOYBF05Ckft2ZP3z3JY4VJbh51cudkXQBVef49AFAABAnR0x195id8kuvAiMi_n76hwel8exLfo2rW6b9P6K_4Cx6wa4hw1jMY5VERrv32nlRaV2c5p5pW9leEsX20Z6HSXjRJyfSC_xSYQeAbpuQyaCE3EgP3ZFw7MkFhGI-VlM2HvN3nDLl3U_hYBcPHP5xlXETSmieiiAdfs23yHcXTLLq2tK6RB43-IO7Xt0vAyU758RQIzCd8WHzVzUWwu_wmeDUyD7nhcljHv2AnTfOY8NCXK36o01eLodaEvWcMUAq9m5wJ8HL7l1dpiLD4XmJB4-ULh9kj2DoCVeTfgcVMYYfKcPMYGhz1llROquoWXeM4suQEmcIEq3pLBDpkwL8c09bJwMmnXxFf6m8h0_IgfAVb2Epx59d_UWZD0xsZVzbE4R1AhLwo2O0MtXx6LjuXJl4UfWMYJ6rXFOP8qDZxVPQYkQYthAHmUBkp-FEmLcw9VgL_5bZh4DDZVAYMa0V7VphsxKAfqeqaAEezoZwXYWL7xAewd1vQUWngr24ZulZdo7lOJIGurzmmfrB7aEbeZU59KGJZWOMbng3s2gnagH2vaVXtJUU9lN-DNkggz4wvFWEqfsYToAisCvUKIb2Uxnim_dZsLJGnb4lPKQU-Gsn7C5lCIvAWp8fm02ba3zPeH9EiIF7PiGU8RhFBbTqM6-47paigETk9JbJMopKgTOlioeIgzvVTK7vTpmf5ROeZ5xguj8OBRloHgUkzdmS03tvv1a5ELxmXrKF7U4ql_QIJFuDs15CI6USg_Q==",
              "ngxZD7tEA1cQGCuOYBF05Ckft2ZP3z3JRW08zp0qtVOAmZx2N9UBmANSA16G0xh65iJ4yOHAiMzsz76iwL4oe0_Sqz2HvOVO6K3-DR6wa4hw1jMY5VERrv32nlRaV2c5p5pW9leEsX20Z6HSXjRJyfSC_xSYQeAbpediMH45EgX0Yls7MkllSI-Wyp-HvNy2A7olVPYOB5bJYpxlXETSmieiiAdfs23yHcXTLLq2tK6RB43-IO7Xt0vAyU758RQIzCd8WHzVzUWwu_wmeDUyD7nhcljHv2AnTfOY8NCXK36o01eLodaEvWcMUAq9m5wJ8HL7l1dpiLD4XmJB4-ULh9kj2DoCVeTfgcVMYYfKcPMYGhz1llROquoWXeM4suQEmcIEq3pLBDpkwL8c09bJwMmnXxFf6m8h0_IgfAVb2Epx59d_UWZD0xsZVzbE4R1AhLwo2O0MtXx6LjuXJl4UfWMYJ6rXFOP8qDZxVPQYkQYthAHmUBkp-FEmLcw9VgL_5bZh4DDZVAYMa0V7VphsxKAfqeqaAEezoZwXYWL7xAewd1vQUWngr24ZulZdo7lOJIGurzmmfrB7aEbeZU59KGJZWOMbng3s2gnagH2vaVXtJUU9lN-DNkggz4wvFWEqfsYToAisCvUKIb2Uxnim_dZsLJGnb4lPKQU-Gsn7C5lCIvAWp8fm02ba3zPeH9EiIF7PiGU8RhFBbTqM6-47paigETk9JbJMopKoSO1i6IASyfFayVaShGf3StWcg19v1JL_MxYkwGYyeknhpcn40sFYPgHT5I52RtmQwkRHeff_x9rDyH_2q30zUgJP2DaOM7UUWjNC"
            ],
            "items": {
              "type": "string",
              "description": "The product ID."
            }
          }
        },
        "type": "object"
      },
      "Quote_Unavailable": {
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "string",
            "description": "The reason a quote is unavailable.",
            "example": "Delivery is currently unavailable for this store."
          }
        },
        "type": "object"
      },
      "Order_Output": {
        "required": [
          "final_quote",
          "order_id"
        ],
        "properties": {
          "order_placed": {
            "type": "boolean",
            "description": "Whether or not the order was successfully placed.",
            "default": false,
            "example": false
          },
          "final_quote": {
            "description": "Final validated quote for the given products.",
            "example": {
              "store": "Denny's",
              "store_address": "816 Mission Street, San Francisco, CA, 94103, US",
              "store_id": "b6613a4b-f38d-416e-aa54-d8a2fbb4bfb2",
              "quote_id": "gAAAAABjG7umYvJfg_ehbOj-lSgmxf2BIbq9fgIx0p93xiGAqjpvKfn39koqrh-GFREtE6eF_9UpeHhT6RjXbAFIn1sYedSxCQCVz6J-UU7_cp8thURW5HIk9POHlOoOT8Hjg7hcywN0tdyFTBi1vOuKQCISLaA7esnZW8mdeH765ORynidGKhV4c_r695XvJ5hdLok1DbB7BCvA1MsL3SMxv1N2zr9KYOg0ZV4zFtU7l1s78cGhE5Fl91cio9ijS5RzVkMRVno-3JlSuULwThHLTPwQ4NCxDMtt_tdrDaOE1pTz26uAYezx_-Sqr3f1LTOrgaavvMX-kBpCvt2puVbHufiuYT9ytvsj9x6lOpZCe2Jgelh4a348e7bbD7DiO1d4GKS6zVF4",
              "quote": {
                "subtotal": 1840,
                "delivery_fee_cents": 49,
                "service_fee_cents": 680,
                "small_order_fee_cents": 0,
                "sales_tax_cents": 148,
                "delivery_time_min": 25,
                "delivery_time_max": 40,
                "total_without_tips": 2717,
                "expected_time_of_arrival": "04:31 PM",
                "scheduled": {}
              },
              "items": [
                {
                  "name": "New York Style Cheesecake",
                  "base_price": 1050,
                  "image": "https://cdn-img.mealme.ai/6244bce354dcb96f0581dc043e7912ef3c4ed7ae/68747470733a2f2f636e2d67656f312e756265722e636f6d2f696d6167652d70726f632f726573697a652f656174732f666f726d61743d776562702f77696474683d3234302f6865696768743d3139322f7175616c6974793d37302f7372636236343d6148523063484d364c79396b4d584a6862484e765a323571626d637a4e79356a624739315a475a79623235304c6d356c6443396d4f546c6a59324d325a53316a4d445a6d4c5451315a446b74596d59794e79316b4e5441344e3259794d545a684e324d75616e426c5a773d3d",
                  "description": "Plain or with strawberry topping and whipped cream.",
                  "product_id": "gAAAAABjG8USnlR2aO5GxjRKvzASB5R9v_Qa52BAwQr1uNbJUwrgLpzH_knEMYY-1LwsEhUaT5yfv8vg7STQrF-E-7H8w2tUhyFhmNIrTw74LujKsomvvjkfGpMjpeYaeyOylespcVKUbXrfruR28OM2LTC27rbo5TyIJ0hlZYnIs17dynR3frklATV1Mt1uSDJhbyrRv_7EFxSa9tGf0lrTcHd4hbF8_JIoWR_MIXgtHoqjlgjtv4_FvKML1VEFm-fPPiP8BEfQdJQgr3NHk3asIpWJfO-Lvv-z_IgAO4JCOEj9uBzDQIUbNd2_p9KMhO-CJNg_TsESjAvRbeMJO9jzKvgoplBEcmAUoUgRrcsfsfEJw9vyp_YqA35b_RdC3UXNbjYkumdiGUpF2qKcc89uvNKwPq2QnUBi4NrIo4UWmx759xZCcmewFaGl4BUIlSSjCwwTycsslG2pJE_fLel6_9STFg12gXhyS8bd-s1FmvMu74hL3q21QSgQnqmIJZv_BQgtPPNlAb_u1imw0ErM2KK9jMB3X3mA5DlE7x8gOoBetJzTkDoQVjxoqINwRFppWF8XB3JdOqbV3pj1_0Twj2gTKXqjs7xEeWf2n9aPVPrSX-lg0-UiFdhSR77yPdmW1auQHjykafD6xvdq6SgHXTOsnE24uIBiHPqJHX3KjKhYJw_Q0LLp9p8dFsgA9hEJkFGJhTEp9biQZ4SSopEHbdML0CcRxbWtN0O8isSAzjo48cAiUbJFBLSfsqz65qpoOdiliBHx7DY2RhpKTSMV-OjN3NnuCcQ3pIPAMt-HZ6TxGBc_LI0=",
                  "customizations": [
                    {
                      "name": "Add Strawberry Topping",
                      "selected_options": [
                        {
                          "name": "Strawberry Topping",
                          "price": 0,
                          "quantity": 1,
                          "option_id": "gAAAAABjG8DMnsHajy2D0a93d4ofw5KVFPudW524M9IP7SJheejkk-o58OPdAyj0vmEZ6xHmadTleYn2pQ2yTPj--zwKPqelw46-W1JMy-fGpHh7BbZPUIGUYtg1-wr7Tr-eHOJ-Jr9AIKsqncELgUH-s5r9EerP0NP9veLmJMUBLhIl0JY66-_ZJlk4MCJ7Aagu6VjD7h058NqAqLz1S1L3GH07znrnMLCQpC9a8Jjlvz_H-WvTJCw=",
                          "customizations": []
                        }
                      ]
                    }
                  ]
                },
                {
                  "name": "Wavy Cut French Fries",
                  "base_price": 790,
                  "image": "https://cdn-img.mealme.ai/52823d72ddc90b4efe7e85def6784947ef459ef9/68747470733a2f2f636e2d67656f312e756265722e636f6d2f696d6167652d70726f632f726573697a652f656174732f666f726d61743d776562702f77696474683d3234302f6865696768743d3139322f7175616c6974793d37302f7372636236343d6148523063484d364c79396b4d584a6862484e765a323571626d637a4e79356a624739315a475a79623235304c6d356c644338304d6a426d4d7a41344e4330784e3251304c54526a4f544574596d466b5a69316d4d4463774d6d526959574a6d5a574975616e426c5a773d3d",
                  "description": "Side of wavy cut French Fries",
                  "product_id": "gAAAAABjG8USIYa1Z_dCVTEZkQrGwouHh1Q-a53IpBVqPoCn-r1v9sh2Yh1MQUDGrfl14mcB-W6bWRja5lYhRIL-0WWPQWXCX7mb9R3zFQXfrGdNzyxft4g4Ua3hBMcDCEZVOjyv087_F1RPA8O4SlrBCnfxWVytxWqNRPKskW-RBDwnF5gY4bO_uSsyv9LDhLz6d6KNANOf8maMDsYN_kkrpcw3r4PH6h6hPvzausGZ7NZsIT6GyJqJktvA9htbjQbwO5ttS86hKLxSSgIHRhynPwxi0f7uX8UGa3hqCPQlxv40vilaS7SzqXEu6VRl3bRkUDVKBftJtAgDjS2F3JLN4KiFONFaXFs5aFhwCjW_x800HpDiccufYxYPMMjr47wsUy-_Wyn9BlJL0sFupgKAAJqcX7fYIUJ-tiNUA5ubTa7NkP6ve6B66l5sw0xaQOH7xDnSp3-Ugu4guzy4s-ubwa-VBBKv60q4BI9VvM5WzFCk-ouBJMJ25NXiVcwde1wW-vUwRY2vLo4yNDbsXXI8WJnISvY5VQW13Si21QxaBz2jdqNMuaYIOd7e9jaQnjddtwuNyGnf4umSwSgPyDoywFE4eSvm7uoUSR8pVzLyaUuZuKZlJx2_vPIHNxVPnbMyKMw9uJ44-HFcBl81dL5Y8UHCCn0OD0Lg6OqdUu9TOxlCyVLtGBsAFOqtrKk90oWaikbLTZkG4WrAtaPHNvPxYmkeSE3E_ZsBlKpR30z1qohDRjAnaRsM5CM9r6JVUqNJUYJAsf1FHqeWrCHwHnhZZTJsEVE5A80lfNH_JW3nS0t5bYQj5dc=",
                  "customizations": []
                }
              ],
              "tip": 100,
              "total_with_tip": 2817,
              "added_fees": {
                "flat_fee_cents": 100,
                "percent_fee": 50,
                "is_fee_taxable": false,
                "total_fee_cents": 936,
                "sales_tax_cents": 0
              }
            },
            "allOf": [
              {
                "$ref": "#/components/schemas/Final_Quote"
              }
            ]
          },
          "order_id": {
            "type": "string",
            "description": "ID of the order ready to be placed.",
            "example": "-Mxak0IAuif3TvN9hBP7"
          }
        },
        "type": "object"
      },
      "Final_Quote": {
        "required": [
          "added_fees",
          "items",
          "misc_fees",
          "quote",
          "quote_id",
          "store",
          "store_address",
          "store_id",
          "tip",
          "total_with_tip"
        ],
        "properties": {
          "store": {
            "type": "string",
            "description": "The name of the store where the order was placed",
            "example": "Denny's"
          },
          "store_address": {
            "type": "string",
            "description": "The address of the store where the order was placed",
            "example": "816 Mission St, San Francisco, CA, 94103, US"
          },
          "store_id": {
            "type": "string",
            "description": "The MealMe store ID",
            "example": "b6613a4b-f38d-416e-aa54-d8a2fbb4bfb2"
          },
          "quote_id": {
            "type": "string",
            "description": "The MealMe Quote ID",
            "example": "gAAAAABihzvxA4pMVWefTSN3GFOL7b3CYG5yPIRnGUNnEu8oD72y0SiHcDkoloajAINb3pI4Kw6R5qR694t5fCXc8_DnvoB0_BeBlCZ_zJmelaZ4jWfcnF5ySNVt29YYobrl5PMQduRavTxgb5E2IvgZakNNbAzP9rYwyApbdaZ6n_RCwz09IlN2iOoqUlnNVL1WF8dDwqI6-XWMiA3XDI_A-k4QyVPZ0yMZDP_LuRzEnQOYIQ23CCyHHz2imKBP4ySAMNgeIKv0ynYV-a1ZfMC_MjFVyK_OHCds8KmiAM8RHZWt6-wR2m2xqMhKOg8NFWU5gWzYFVL_"
          },
          "quote": {
            "description": "The final quote summary including subtotal, tax, time estimate, quote fees, etc.",
            "allOf": [
              {
                "$ref": "#/components/schemas/Quote_Summary"
              }
            ]
          },
          "items": {
            "type": "array",
            "description": "List of cart items",
            "example": [
              {
                "product_id": "gAAAAABjG7vcneDPtykGbsBcLjJUqW8qqJFctTqQDovWuSkEd9VlTM0dNVVKPLcDAMHXhna_dsa-RJOrXBO82jvvMCDXHYCz3Qwv9qEznaqGB2OXKA-k9cWAQFv1S7epy-C5yCDj7MLlDLl1psRTBRtUcv2PUnaYMMnMvonWGbzQbkGr0_0yjtFNS38EosYy-0-l3_0wLfSzQjSPVQ2Go9FUL4Dw_lvLYMkPHnGnewXnh0HtztKYrMn4lZQppC505ReRYfWxMQkMnqq10EbYMYRGDlEkYCNQX8TFtrNeq3ikYpmctjinfqdhs1-AjapHL6wpkyoRoY6rnKE7dBQjIkn_nIQ1aXmznzKpR5P0Xr9xvp5w2IkCWK8_MhHEenGct1y7n3yGteXzQM4o5Md1yynTwRal7Bq4QoVt-EzyLoW-ZtX8-snYWnDpNLduZLW7j3XCo8EIEBlKUSWkvNl0gbQgyosKgZB573GNQ-rEu3RYvJ_S_Ri62ywBYf_zTexUJtERtIpd6lawr6sty3Wpyq1zhve2zuhsRJ8wj_uorThApJreOXRiOpzyFXTZWxjXz3EklKoqPjUCVllMjVkVQUYkUghVvfr9dO7GWhkqGsRkRHjGxX7coYlI3GaVEQdaIcVrAo2zJBOJt42j5xwgOz0Gw2oupiwQwYtWpUVnYX0JHssDlbmbDON8ddU7YJdGxhC3TOFAGXLIzCPbRifamoEu2np7wbNQ8pDB5tX07lwVQIbrVs0thXYpdGxKk1eKx_c1aKQcf-srjZKHVUvO_4zSRC2FqIpdaYPU0pDDlIovXu6NgoB7CL0=",
                "notes": "No whipped cream."
              }
            ],
            "items": {
              "$ref": "#/components/schemas/Cart_Item"
            }
          },
          "tip": {
            "type": "integer",
            "description": "The total tip amount, in cents",
            "example": 100
          },
          "total_with_tip": {
            "type": "integer",
            "description": "The total order amount including tip, in cents",
            "example": 40
          },
          "added_fees": {
            "description": "The total added fees for the cart, computed using the input `added_fee`passed to [Create Order](https://docs.mealme.ai/reference/post_order_v4) or [](https://docs.mealme.ai/reference/post_courier_order)",
            "example": 200,
            "allOf": [
              {
                "$ref": "#/components/schemas/Added_Fees"
              }
            ]
          },
          "misc_fees": {
            "type": "array",
            "description": "The list of miscellaneous fees applied on the order.",
            "example": [
              {
                "fee_name": "Chef tip",
                "fee_amount": 200
              }
            ],
            "items": {
              "$ref": "#/components/schemas/Miscellaneous_Fee"
            }
          },
          "marked_total_with_tip": {
            "type": "integer",
            "description": "The total order amount including tip, and including any provided marked prices, in cents",
            "example": 50
          }
        },
        "type": "object"
      },
      "Quote_Summary": {
        "required": [
          "delivery_fee_cents",
          "delivery_time_max",
          "delivery_time_min",
          "expected_time_of_arrival",
          "sales_tax_cents",
          "scheduled",
          "service_fee_cents",
          "small_order_fee_cents",
          "subtotal",
          "total_without_tips"
        ],
        "properties": {
          "subtotal": {
            "type": "integer",
            "description": "The subtotal of the cart",
            "example": 1770
          },
          "delivery_fee_cents": {
            "type": "integer",
            "description": "The total delivery fee, in cents",
            "example": 49
          },
          "service_fee_cents": {
            "type": "integer",
            "description": "The total service fee, in cents",
            "example": 667
          },
          "small_order_fee_cents": {
            "type": "integer",
            "description": "The total small order fee, in cents",
            "example": 0
          },
          "sales_tax_cents": {
            "type": "integer",
            "description": "The total sales tax, in cents",
            "example": 142
          },
          "delivery_time_min": {
            "type": "integer",
            "description": "The minimum delivery time estimate, in minutes",
            "example": 25
          },
          "delivery_time_max": {
            "type": "integer",
            "description": "The maximum delivery time estimate, in minutes",
            "example": 40
          },
          "total_without_tips": {
            "type": "integer",
            "description": "The order amount excluding tips, in cents",
            "example": 2628
          },
          "expected_time_of_arrival": {
            "type": "string",
            "description": "The expected time of arrival, in user's timezone",
            "example": "09:20 PM"
          },
          "scheduled": {
            "description": "The scheduled delivery window corresponding to input parameter `scheduled_id` passed to [Create Order](https://docs.mealme.ai/reference/post_order_v4)",
            "allOf": [
              {
                "$ref": "#/components/schemas/Scheduled_Time"
              }
            ]
          },
          "marked_subtotal": {
            "type": "integer",
            "description": "The subtotal of the cart including any provided marked prices, in cents",
            "example": 2000
          },
          "marked_total_without_tips": {
            "type": "integer",
            "description": "The order amount excluding tips, and including any provided marked prices, in cents",
            "example": 2800
          }
        },
        "type": "object"
      },
      "Added_Fees": {
        "required": [
          "flat_fee_cents",
          "is_fee_taxable",
          "percent_fee",
          "sales_tax_cents",
          "total_fee_cents"
        ],
        "properties": {
          "flat_fee_cents": {
            "type": "integer",
            "description": "The API client added flat fee amount, in cents",
            "example": 100
          },
          "percent_fee": {
            "type": "integer",
            "description": "The API client added percent fee amount, in range 1-100",
            "example": 50
          },
          "is_fee_taxable": {
            "type": "boolean",
            "description": "Whether the API client added fee is taxable",
            "example": false
          },
          "total_fee_cents": {
            "type": "integer",
            "description": "The API client total added fee amount, in cents",
            "example": 985
          },
          "sales_tax_cents": {
            "type": "integer",
            "description": "The total sales tax amount charged for the API client added fee, in cents",
            "example": 0
          }
        },
        "type": "object"
      },
      "Order_Placed_Output": {
        "required": [
          "final_quote",
          "is_sandbox",
          "order_id",
          "order_placed",
          "tracking_link"
        ],
        "properties": {
          "order_placed": {
            "type": "boolean",
            "description": "Whether or not the order was successfully placed.",
            "example": true
          },
          "tracking_link": {
            "type": "string",
            "description": "Link to track the order.",
            "example": "https://mealme.cc/tracking?tracking_id=-MpG8lp8Z0l5kU64Wzeq"
          },
          "final_quote": {
            "description": "Final validated quote for the given products.",
            "example": {
              "store": "Denny's",
              "store_address": "816 Mission Street, San Francisco, CA, 94103, US",
              "store_id": "b6613a4b-f38d-416e-aa54-d8a2fbb4bfb2",
              "quote_id": "gAAAAABjG7umYvJfg_ehbOj-lSgmxf2BIbq9fgIx0p93xiGAqjpvKfn39koqrh-GFREtE6eF_9UpeHhT6RjXbAFIn1sYedSxCQCVz6J-UU7_cp8thURW5HIk9POHlOoOT8Hjg7hcywN0tdyFTBi1vOuKQCISLaA7esnZW8mdeH765ORynidGKhV4c_r695XvJ5hdLok1DbB7BCvA1MsL3SMxv1N2zr9KYOg0ZV4zFtU7l1s78cGhE5Fl91cio9ijS5RzVkMRVno-3JlSuULwThHLTPwQ4NCxDMtt_tdrDaOE1pTz26uAYezx_-Sqr3f1LTOrgaavvMX-kBpCvt2puVbHufiuYT9ytvsj9x6lOpZCe2Jgelh4a348e7bbD7DiO1d4GKS6zVF4",
              "quote": {
                "subtotal": 1840,
                "delivery_fee_cents": 49,
                "service_fee_cents": 680,
                "small_order_fee_cents": 0,
                "sales_tax_cents": 148,
                "delivery_time_min": 25,
                "delivery_time_max": 40,
                "total_without_tips": 2717,
                "expected_time_of_arrival": "04:31 PM",
                "scheduled": {}
              },
              "items": [
                {
                  "name": "New York Style Cheesecake",
                  "base_price": 1050,
                  "image": "https://cdn-img.mealme.ai/6244bce354dcb96f0581dc043e7912ef3c4ed7ae/68747470733a2f2f636e2d67656f312e756265722e636f6d2f696d6167652d70726f632f726573697a652f656174732f666f726d61743d776562702f77696474683d3234302f6865696768743d3139322f7175616c6974793d37302f7372636236343d6148523063484d364c79396b4d584a6862484e765a323571626d637a4e79356a624739315a475a79623235304c6d356c6443396d4f546c6a59324d325a53316a4d445a6d4c5451315a446b74596d59794e79316b4e5441344e3259794d545a684e324d75616e426c5a773d3d",
                  "description": "Plain or with strawberry topping and whipped cream.",
                  "product_id": "gAAAAABjG8USnlR2aO5GxjRKvzASB5R9v_Qa52BAwQr1uNbJUwrgLpzH_knEMYY-1LwsEhUaT5yfv8vg7STQrF-E-7H8w2tUhyFhmNIrTw74LujKsomvvjkfGpMjpeYaeyOylespcVKUbXrfruR28OM2LTC27rbo5TyIJ0hlZYnIs17dynR3frklATV1Mt1uSDJhbyrRv_7EFxSa9tGf0lrTcHd4hbF8_JIoWR_MIXgtHoqjlgjtv4_FvKML1VEFm-fPPiP8BEfQdJQgr3NHk3asIpWJfO-Lvv-z_IgAO4JCOEj9uBzDQIUbNd2_p9KMhO-CJNg_TsESjAvRbeMJO9jzKvgoplBEcmAUoUgRrcsfsfEJw9vyp_YqA35b_RdC3UXNbjYkumdiGUpF2qKcc89uvNKwPq2QnUBi4NrIo4UWmx759xZCcmewFaGl4BUIlSSjCwwTycsslG2pJE_fLel6_9STFg12gXhyS8bd-s1FmvMu74hL3q21QSgQnqmIJZv_BQgtPPNlAb_u1imw0ErM2KK9jMB3X3mA5DlE7x8gOoBetJzTkDoQVjxoqINwRFppWF8XB3JdOqbV3pj1_0Twj2gTKXqjs7xEeWf2n9aPVPrSX-lg0-UiFdhSR77yPdmW1auQHjykafD6xvdq6SgHXTOsnE24uIBiHPqJHX3KjKhYJw_Q0LLp9p8dFsgA9hEJkFGJhTEp9biQZ4SSopEHbdML0CcRxbWtN0O8isSAzjo48cAiUbJFBLSfsqz65qpoOdiliBHx7DY2RhpKTSMV-OjN3NnuCcQ3pIPAMt-HZ6TxGBc_LI0=",
                  "customizations": [
                    {
                      "name": "Add Strawberry Topping",
                      "selected_options": [
                        {
                          "name": "Strawberry Topping",
                          "price": 0,
                          "quantity": 1,
                          "option_id": "gAAAAABjG8DMnsHajy2D0a93d4ofw5KVFPudW524M9IP7SJheejkk-o58OPdAyj0vmEZ6xHmadTleYn2pQ2yTPj--zwKPqelw46-W1JMy-fGpHh7BbZPUIGUYtg1-wr7Tr-eHOJ-Jr9AIKsqncELgUH-s5r9EerP0NP9veLmJMUBLhIl0JY66-_ZJlk4MCJ7Aagu6VjD7h058NqAqLz1S1L3GH07znrnMLCQpC9a8Jjlvz_H-WvTJCw=",
                          "customizations": []
                        }
                      ]
                    }
                  ]
                },
                {
                  "name": "Wavy Cut French Fries",
                  "base_price": 790,
                  "image": "https://cdn-img.mealme.ai/52823d72ddc90b4efe7e85def6784947ef459ef9/68747470733a2f2f636e2d67656f312e756265722e636f6d2f696d6167652d70726f632f726573697a652f656174732f666f726d61743d776562702f77696474683d3234302f6865696768743d3139322f7175616c6974793d37302f7372636236343d6148523063484d364c79396b4d584a6862484e765a323571626d637a4e79356a624739315a475a79623235304c6d356c644338304d6a426d4d7a41344e4330784e3251304c54526a4f544574596d466b5a69316d4d4463774d6d526959574a6d5a574975616e426c5a773d3d",
                  "description": "Side of wavy cut French Fries",
                  "product_id": "gAAAAABjG8USIYa1Z_dCVTEZkQrGwouHh1Q-a53IpBVqPoCn-r1v9sh2Yh1MQUDGrfl14mcB-W6bWRja5lYhRIL-0WWPQWXCX7mb9R3zFQXfrGdNzyxft4g4Ua3hBMcDCEZVOjyv087_F1RPA8O4SlrBCnfxWVytxWqNRPKskW-RBDwnF5gY4bO_uSsyv9LDhLz6d6KNANOf8maMDsYN_kkrpcw3r4PH6h6hPvzausGZ7NZsIT6GyJqJktvA9htbjQbwO5ttS86hKLxSSgIHRhynPwxi0f7uX8UGa3hqCPQlxv40vilaS7SzqXEu6VRl3bRkUDVKBftJtAgDjS2F3JLN4KiFONFaXFs5aFhwCjW_x800HpDiccufYxYPMMjr47wsUy-_Wyn9BlJL0sFupgKAAJqcX7fYIUJ-tiNUA5ubTa7NkP6ve6B66l5sw0xaQOH7xDnSp3-Ugu4guzy4s-ubwa-VBBKv60q4BI9VvM5WzFCk-ouBJMJ25NXiVcwde1wW-vUwRY2vLo4yNDbsXXI8WJnISvY5VQW13Si21QxaBz2jdqNMuaYIOd7e9jaQnjddtwuNyGnf4umSwSgPyDoywFE4eSvm7uoUSR8pVzLyaUuZuKZlJx2_vPIHNxVPnbMyKMw9uJ44-HFcBl81dL5Y8UHCCn0OD0Lg6OqdUu9TOxlCyVLtGBsAFOqtrKk90oWaikbLTZkG4WrAtaPHNvPxYmkeSE3E_ZsBlKpR30z1qohDRjAnaRsM5CM9r6JVUqNJUYJAsf1FHqeWrCHwHnhZZTJsEVE5A80lfNH_JW3nS0t5bYQj5dc=",
                  "customizations": []
                }
              ],
              "tip": 100,
              "total_with_tip": 2817,
              "added_fees": {
                "flat_fee_cents": 100,
                "percent_fee": 50,
                "is_fee_taxable": false,
                "total_fee_cents": 936,
                "sales_tax_cents": 0
              }
            },
            "allOf": [
              {
                "$ref": "#/components/schemas/Final_Quote"
              }
            ]
          },
          "order_id": {
            "type": "string",
            "description": "The ID of the placed order",
            "example": "-N8vZEd-UnW_gZu6c4iO"
          },
          "is_sandbox": {
            "type": "boolean",
            "description": "Whether the order is a sandbox order.",
            "example": true
          }
        },
        "type": "object"
      }
    }
  }
}
````